summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo2017-08-16 01:14:51 +0200
committer Willy Sudiarto Raharjo2017-08-19 02:10:31 +0200
commit606c9198e71dc05ebb78562298b1ed3b9137f408 (patch)
tree27adf4d4118cdbc15c39e9c695c70d53b462b105
parent968d77e6cd56369c9f4103d78545646fe62e142a (diff)
downloadslackbuilds-606c9198e71dc05ebb78562298b1ed3b9137f408.tar.gz
system/swun: Updated for version 0.0.3.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/swun/swun.SlackBuild18
-rw-r--r--system/swun/swun.info8
2 files changed, 13 insertions, 13 deletions
diff --git a/system/swun/swun.SlackBuild b/system/swun/swun.SlackBuild
index b39d11235e..fa2870414d 100644
--- a/system/swun/swun.SlackBuild
+++ b/system/swun/swun.SlackBuild
@@ -24,13 +24,13 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=swun
-VERSION=${VERSION:-0.0.2}
+VERSION=${VERSION:-0.0.3}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -41,8 +41,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -55,7 +55,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -65,10 +65,10 @@ tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
mkdir -p build
cd build
diff --git a/system/swun/swun.info b/system/swun/swun.info
index a9bc7e25c5..a26cc7b36e 100644
--- a/system/swun/swun.info
+++ b/system/swun/swun.info
@@ -1,8 +1,8 @@
PRGNAM="swun"
-VERSION="0.0.2"
-HOMEPAGE="http://code.google.com/p/swun/"
-DOWNLOAD="http://swun.googlecode.com/files/swun-0.0.2.tar.gz"
-MD5SUM="6504943144f54bc47f63e65150fb0ec6"
+VERSION="0.0.3"
+HOMEPAGE="https://fwxx.github.io/swun/"
+DOWNLOAD="https://github.com/fwxx/swun/releases/download/v0.0.3/swun-0.0.3.tar.gz"
+MD5SUM="c0f4b27d468ba4bbe68cebfd08ebf2a5"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""